i2xy {dmdrosophila2dmrefseqcdf} | R Documentation

## Convert (x,y)-coordinates to single-number indices and back.

### Description

Convert (x,y)-coordinates on the chip (and in the CEL file) to the single-number indices used in AffyBatch and CDF environment, and back.

### Usage

    i2xy(i)
    xy2i(x,y)

### Arguments

`x` | numeric. x-coordinate (from 1 to 732)
`y` | numeric. y-coordinate (from 1 to 732)
`i` | numeric. single-number index (from 1 to 535824)

### Details

Type `i2xy` and `xy2i` at the R prompt to view the function definitions.

### See Also

`dmdrosophila2dmrefseqcdf`

### Examples

      xy2i(5,5)
      i     = 1:(732*732)
      coord = i2xy(i)
      j     = xy2i(coord[, "x"], coord[, "y"])
      stopifnot(all(i==j))
      range(coord[, "x"])
      range(coord[, "y"])

[Package dmdrosophila2dmrefseqcdf version 10.0.0 Index]